<?php
//
// postmeta Post Type related functions.
//

add_action('admin_init', 'ci_add_cpt_postmeta_meta');
add_action('save_post', 'ci_update_cpt_postmeta_meta');

if( !function_exists('ci_add_cpt_postmeta_meta') ):
function ci_add_cpt_postmeta_meta(){
	add_meta_box("ci_cpt_postmeta_meta", __('Featured Video', 'ci_theme'), "ci_add_cpt_postmeta_meta_box", "post", "normal", "high");
}
endif;

if( !function_exists('ci_update_cpt_postmeta_meta') ):
function ci_update_cpt_postmeta_meta($post_id){

	if ( !ci_can_save_meta('post') ) return;

	update_post_meta($post_id, "ci_cpt_video_url", esc_url_raw($_POST["ci_cpt_video_url"]));
	update_post_meta($post_id, "ci_cpt_show_gallery", ci_sanitize_checkbox($_POST["ci_cpt_show_gallery"], 'enabled'));

	ci_metabox_gallery_save($_POST);
}
endif;

if( !function_exists('ci_add_cpt_postmeta_meta_box') ):
function ci_add_cpt_postmeta_meta_box($object, $box)
{
	ci_prepare_metabox('post');
	
	?><h4><?php _e('Instead of displaying a featured image at the top of each post you can display a video. Please note that the video takes precedence over the featured image, so if you have set both, the video will prevail.', 'ci_theme'); ?></h4>
	<p><?php echo sprintf(__('In the following box, you can simply enter the URL of a supported website\'s video. It needs to start with <strong>http://</strong> or <strong>https://</strong> (E.g. <em>%1$s</em>). A list of supported websites can be <a href="%2$s">found here</a>.', 'ci_theme'), 'http://www.youtube.com/watch?v=4Z9WVZddH9w', 'http://codex.wordpress.org/Embeds#Okay.2C_So_What_Sites_Can_I_Embed_From.3F'); ?></p><?php

	ci_metabox_input('ci_cpt_video_url', __( 'Video URL:', 'ci_theme' ), array( 'esc_func' => 'esc_url' ));


	?><p><?php _e('You may also choose to display a gallery (slider) of all images attached to this post, instead of the the featured image or the video. Please note that the gallery takes precedence over the featured image and the video, so if you have set all of them, the gallery will prevail.', 'ci_theme'); ?></p><?php

	ci_metabox_checkbox('ci_cpt_show_gallery', 'enabled', __('Show a gallery instead instead of a video or featured image.', 'ci_theme'));
	ci_metabox_gallery();

}
endif;
?>